Attribute VB_Name = "Statline"
Option Explicit

Public Sub Init_StatusLine_Procs()
End Sub

Public Sub Close_StatusLine_Procs()
End Sub

Public Sub Do_SetStatusString(ByVal lPanel As Long, sText As String)
    
    'Message pane = 1
    'Symbol position pane = 2
    'Symbol location pane = 3
    'Audit ID pane = 4
    
    If lPanel > 0 And lPanel < 5 Then
        fMainForm.Statusbar.SetText lPanel, sText
    End If

End Sub

Public Sub Do_SetStatusText(ByVal lPanel As Long, ByVal lpszText As Long)
    
    'Message pane = 1
    'Symbol position pane = 2
    'Symbol location pane = 3
    'Audit ID pane = 4
    
    Dim szString As String
    
    If (lpszText <> 0) Then
        szString = PointerToString(lpszText)
    End If
    
    If lPanel > 0 And lPanel < 5 Then
        fMainForm.Statusbar.SetText lPanel, szString
    End If
    
End Sub

Public Sub Do_SetPanelState(ByVal lPanel As Long, ByVal bShow As Long)

    'Message pane = 1
    'Symbol position pane = 2
    'Symbol location pane = 3
    'Audit ID pane = 4
    'Progress pane = 5
    'Cancel = 6
    
    If lPanel > 0 And lPanel < 7 Then
        fMainForm.Statusbar.SetState lPanel, CBool(bShow)
    End If

End Sub

Public Sub Do_ResetPanelColor(ByVal lPanel As Long)

    'Message pane = 1
    'Symbol position pane = 2
    'Symbol location pane = 3
    'Audit ID pane = 4

    If lPanel > 0 And lPanel < 5 Then
        fMainForm.Statusbar.SetTextColor lPanel, vbButtonText
        fMainForm.Statusbar.SetBackgroundColor lPanel, vbButtonFace
    End If
    
End Sub

Public Sub Do_SetStatusStringEx(ByVal lPanel As Long, ByVal sText As String, ByVal BackColor As Long, ByVal ForeColor As Long)

    'Message pane = 1
    'Symbol position pane = 2
    'Symbol location pane = 3
    'Audit ID pane = 4

    If lPanel > 0 And lPanel < 5 Then
        Do_SetStatusString lPanel, sText
        fMainForm.Statusbar.SetTextColor lPanel, ForeColor
        fMainForm.Statusbar.SetBackgroundColor lPanel, BackColor
    End If
    
End Sub

Public Sub Do_SetStatusTextEx(ByVal lPanel As Long, ByVal lpszText As Long, BackColor As Long, ForeColor As Long)
    
    'Message pane = 1
    'Symbol position pane = 2
    'Symbol location pane = 3
    'Audit ID pane = 4
    
    If lPanel > 0 And lPanel < 5 Then
        Do_SetStatusText lPanel, lpszText
        fMainForm.Statusbar.SetTextColor lPanel, ForeColor
        fMainForm.Statusbar.SetBackgroundColor lPanel, BackColor
    End If
    
End Sub
